CVE-2006-3442
CVSS7.6
发布时间 :2006-09-12 19:07:00
修订时间 :2011-03-07 21:38:39
NMCOS    

[原文]Unspecified vulnerability in Pragmatic General Multicast (PGM) in Microsoft Windows XP SP2 and earlier allows remote attackers to execute arbitrary code via a crafted multicast message.


[CNNVD]Microsoft PGM 缓冲区溢出漏洞(CNNVD-200609-179)

        PGM是一个可靠且可伸缩的多播协议,允许接收方检测丢失、请求重新传输丢失的数据或者通知应用程序无法恢复的丢失情形。
        Microsoft在处理PGM消息时存在缓冲区溢出漏洞,远程攻击者可能利用此漏洞在服务器上执行任意指令。
        如果攻击者发送了特制的多播消息的话,就可能触发这个漏洞,导致执行任意指令。但成功攻击要求系统安装了MSMQ(Microsoft消息队列)服务,而该服务不是默认安装的。

- CVSS (基础分值)

CVSS分值: 7.6 [严重(HIGH)]
机密性影响: COMPLETE [完全的信息泄露导致所有系统文件暴露]
完整性影响: COMPLETE [系统完整性可被完全破坏]
可用性影响: COMPLETE [可能导致系统完全宕机]
攻击复杂度: HIGH [漏洞利用存在特定的访问条件]
攻击向量: NETWORK [攻击者不需要获取内网访问权或本地访问权]
身份认证: NONE [漏洞利用无需身份认证]

- CWE (弱点类目)

CWE-94 [对生成代码的控制不恰当(代码注入)]

- CPE (受影响的平台与产品)

cpe:/o:microsoft:windows_xp::sp2:tablet_pcMicrosoft windows xp_sp2 tablet_pc
cpe:/o:microsoft:windows_xp::sp1:tablet_pcMicrosoft windows xp_sp1 tablet_pc

- OVAL (用于检测的技术细节)

未找到相关OVAL定义

- 官方数据库链接

http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2006-3442
(官方数据源) MITRE
http://web.nvd.nist.gov/view/vuln/detail?vulnId=CVE-2006-3442
(官方数据源) NVD
http://www.cnnvd.org.cn/vulnerability/show/cv_cnnvdid/CNNVD-200609-179
(官方数据源) CNNVD

- 其它链接及资源

http://www.us-cert.gov/cas/techalerts/TA06-255A.html
(UNKNOWN)  CERT  TA06-255A
http://www.kb.cert.org/vuls/id/455516
(UNKNOWN)  CERT-VN  VU#455516
http://www.microsoft.com/technet/security/Bulletin/MS06-052.mspx
(PATCH)  MS  MS06-052
http://secunia.com/advisories/21851
(VENDOR_ADVISORY)  SECUNIA  21851
http://xforce.iss.net/xforce/xfdb/28643
(UNKNOWN)  XF  win-pgm-bo(28643)
http://www.vupen.com/english/advisories/2006/3563
(UNKNOWN)  VUPEN  ADV-2006-3563
http://www.securityfocus.com/bid/19922
(UNKNOWN)  BID  19922
http://www.securityfocus.com/archive/1/archive/1/446630/100/100/threaded
(UNKNOWN)  HP  HPSBST02134
http://www.securityfocus.com/archive/1/archive/1/446630/100/100/threaded
(UNKNOWN)  HP  HPSBST02134
http://securitytracker.com/id?1016827
(UNKNOWN)  SECTRACK  1016827

- 漏洞信息

Microsoft PGM 缓冲区溢出漏洞
高危 边界条件错误
2006-09-12 00:00:00 2006-09-15 00:00:00
远程  
        PGM是一个可靠且可伸缩的多播协议,允许接收方检测丢失、请求重新传输丢失的数据或者通知应用程序无法恢复的丢失情形。
        Microsoft在处理PGM消息时存在缓冲区溢出漏洞,远程攻击者可能利用此漏洞在服务器上执行任意指令。
        如果攻击者发送了特制的多播消息的话,就可能触发这个漏洞,导致执行任意指令。但成功攻击要求系统安装了MSMQ(Microsoft消息队列)服务,而该服务不是默认安装的。

- 公告与补丁

        目前厂商已经发布了升级补丁以修复这个安全问题,补丁下载链接:
        http://www.microsoft.com/technet/security/Bulletin/MS06-052.mspx
        http://www.microsoft.com/downloads/details.aspx?FamilyId=ce264ac4-6ca3-4732-9016-3143ff1bca2f

- 漏洞信息

28731
Microsoft Windows Pragmatic General Multicast (PGM) Multicast Message Arbitrary Code Execution
Loss of Integrity Patch / RCS
Vendor Verified

- 漏洞描述

- 时间线

2006-09-12 Unknow
Unknow 2006-09-12

- 解决方案

Currently, there are no known workarounds or upgrades to correct this issue. However, Microsoft has released a patch to address this vulnerability.

- 相关参考

- 漏洞作者

Unknown or Incomplete

- 漏洞信息

Microsoft PGM Remote Buffer Overflow Vulnerability
Boundary Condition Error 19922
Yes No
2006-09-12 12:00:00 2006-09-22 05:21:00
David Warden reported this issue to the vendor.

- 受影响的程序版本

Microsoft Windows XP Tablet PC Edition SP2
Microsoft Windows XP Tablet PC Edition SP1
Microsoft Windows XP Tablet PC Edition
Microsoft Windows XP Professional x64 Edition
Microsoft Windows XP Professional SP2
Microsoft Windows XP Professional SP1
Microsoft Windows XP Professional
Microsoft Windows XP Media Center Edition SP2
Microsoft Windows XP Media Center Edition SP1
Microsoft Windows XP Media Center Edition
Microsoft Windows XP Home SP2
Microsoft Windows XP Home SP1
Microsoft Windows XP Home
Microsoft Windows XP 64-bit Edition Version 2003 SP1
Microsoft Windows XP 64-bit Edition Version 2003
Microsoft Windows XP 64-bit Edition SP1
Microsoft Windows XP 64-bit Edition
Microsoft Windows XP 0
HP Storage Management Appliance 2.1
+ HP Storage Management Appliance III
+ HP Storage Management Appliance II
+ HP Storage Management Appliance I

- 漏洞讨论

Microsoft Pragmatic General Multicast (PGM) is prone to a remote buffer-overflow vulnerability because the application fails to properly bounds-check externally supplied data.

An attacker can exploit this issue to execute arbitrary code, facilitating a complete system compromise.

This issue affects systems only when Microsoft Message Queuing (MSMQ) 3.0 is installed; this is not the default.

- 漏洞利用

Currently we are not aware of any exploits for this issue. If you feel we are in error or if you are aware of more recent information, please mail us at: vuldb@securityfocus.com

- 解决方案

Microsoft has released a security bulletin to address this issue. Please refer to the attached security bulletin for more information.


Microsoft Windows XP Media Center Edition SP1

Microsoft Windows XP Tablet PC Edition SP2

Microsoft Windows XP Home

Microsoft Windows XP Media Center Edition SP2

Microsoft Windows XP Home SP1

Microsoft Windows XP Professional x64 Edition

Microsoft Windows XP Media Center Edition

Microsoft Windows XP Professional SP2

Microsoft Windows XP Tablet PC Edition SP1

Microsoft Windows XP Professional

Microsoft Windows XP Professional SP1

Microsoft Windows XP Tablet PC Edition

Microsoft Windows XP Home SP2

Microsoft Windows XP 0

- 相关参考

 

 

关于SCAP中文社区

SCAP中文社区是国内第一个以SCAP为主题的中文开放社区。了解更多信息,请查阅[关于本站]

版权声明

CVE/CWE/OVAL均为MITRE公司的注册商标,它们的官方数据源均保存在MITRE公司的相关网站